libdatetimex-easy-perl_0.089-1_all.deb


Advertisement

Description

libdatetimex-easy-perl - module to parse arbitrary date/time strings

Distribution: Debian 8 (Jessie)
Repository: Debian Main amd64
Package name: libdatetimex-easy-perl
Package version: 0.089
Package release: 1
Package architecture: all
Package type: deb
Installed size: 92 B
Download size: 16.64 KB
Official Mirror: ftp.br.debian.org
DateTimeX::Easy is a Perl module designed to make it easy to create DateTime objects from arbitrary strings. It uses a variety of DateTime::Format modules to do the bulk of the parsing, with some tweaks to smooth out the rough edges (mainly concerning timezone detection and selection).

Alternatives

    Download

    Source package: libdatetimex-easy-perl

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install libdatetimex-easy-perl deb package:
      # sudo apt-get install libdatetimex-easy-perl

    Files

    • /usr/share/doc/libdatetimex-easy-perl/changelog.Debian.gz
    • /usr/share/doc/libdatetimex-easy-perl/changelog.gz
    • /usr/share/doc/libdatetimex-easy-perl/copyright
    • /usr/share/man/man3/DateTimeX::Easy.3pm.gz
    • /usr/share/perl5/DateTimeX/Easy.pm
    • /usr/share/perl5/DateTimeX/Easy/DateParse.pm

    Changelog

    2010-08-28 - gregor herrmann <gregoa@debian.org> libdatetimex-easy-perl (0.089-1) unstable; urgency=low * New upstream release. * Convert to source format 3.0 (quilt). * Add /me to Uploaders. * debian/copyright: update years of upstream copyright.

    2010-08-06 - Chris Butler <chrisb@debian.org> libdatetimex-easy-perl (0.088-2) unstable; urgency=low * Removed (build-)dependency on libdatetime-format-datemanip-perl: it's only an optional requirement, and is being removed (see: #574317) * Add myself to Uploaders and copyright. * Added version 5.10.0 to perl build-dependency (required for ExtUtils::MakeMaker >= 6.42) * Upped debhelper dependency to (>= 7.2.13), required for Module::AutoInstall * Updated copyright to point to GPL-1 in common-licences. * Bumped Standards-Version to 3.9.1 (no changes required).

    2010-01-09 - Jonathan Yu <jawnsy@cpan.org> libdatetimex-easy-perl (0.088-1) unstable; urgency=low [ Jonathan Yu ] * New upstream release * Standards-Version 3.8.3 (no changes) * Add myself to Uploaders and Copyright * Rewrite control description * Refresh to new DEP5 copyright format * Remove patch, replace with an override * Update dependencies per upstream [ Nathan Handler ] * debian/watch: Update to ignore development releases. [ Salvatore Bonaccorso ] * debian/control: Changed: Replace versioned (build-)dependency on perl (>= 5.6.0-{12,16}) with an unversioned dependency on perl (as permitted by Debian Policy 3.8.3). [ Ryan Niebur ] * Update ryan52's email address

    2009-05-28 - Ryan Niebur <ryanryan52@gmail.com> libdatetimex-easy-perl (0.087-1) unstable; urgency=low * Initial Release. (Closes: #529549)

    Advertisement
    Advertisement